libosmodsp UNKNOWN Osmocom DSP library

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
iqbal.h File Reference
IQ balance utilities

Osmocom IQ balance utils header. More...

Go to the source code of this file.

## Data Structures
struct | osmo_iqbal_opts
| Processing options for the IQ balance optimization algorithm. More...

## Functions
void | osmo_iqbal_fix (float complex *out, float complex *in, unsigned int len, float mag, float phase)
| Apply IQ balance correction to a given complex buffer. More...
struct osmo_cxvec * | osmo_iqbal_cxvec_fix (const struct osmo_cxvec *in, float mag, float phase, struct osmo_cxvec *out)
| Apply IQ balance correction to a given complex vector. More...
float | osmo_iqbal_estimate (const float complex *data, int fft_size, int fft_count)
| Objectively estimate IQ balance in a given complex buffer. More...
float | osmo_iqbal_cxvec_estimate (const struct osmo_cxvec *sig, int fft_size, int fft_count)
| Objectively estimate IQ balance in a given complex vector. More...
int | osmo_iqbal_cxvec_optimize (const struct osmo_cxvec *sig, float *mag, float *phase, const struct osmo_iqbal_opts *opts)
| Finds the best IQ balance correction parameters for a given signal. More...

## Variables
const struct osmo_iqbal_opts | osmo_iqbal_default_opts
| Default values for the optimization algorithm.

## Detailed Description

Osmocom IQ balance utils header.